---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 7855981a-e7f4-5626-8b80-9ca6f03ed668
      tier: AATSR_CMP_MONTH
      value: 0.11526218801736832
    brdf:
      alpha_1:
        band_1: 0.258270934775826
        band_11: 0.18379921378285688
        band_12: 0.08508224178657478
        band_2: 0.25828247867263265
        band_3: 0.41594259613388956
        band_4: 0.22831443765500078
        band_5: 0.22831113644426418
        band_6: 0.22831632264412122
        band_7: 0.5072147523586213
        band_8: 0.5072449825398965
        band_8a: 0.5072125433807703
      alpha_2:
        band_1: 0.21849765527657408
        band_11: 0.1883973180340272
        band_12: 0.24112535616351158
        band_2: 0.21851102899485164
        band_3: 0.17646542359222003
        band_4: 0.2160006128245767
        band_5: 0.21600437641727846
        band_6: 0.21599617996488016
        band_7: 0.13266815708127427
        band_8: 0.13266889996789918
        band_8a: 0.13266274406178902
      id:
      - 101e43a3-266f-55a1-a7ef-80a2e551742e
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8d1a0236-36ea-52b5-ad07-386919ce9935
      tier: DEFINITIVE
      value: 0.27
    water_vapour:
      id:
      - d6b28072-0cc4-5a0a-b5d0-8d8dd05a708c
      tier: DEFINITIVE
      value: 1.9899999618530275
  id: d1a66f59-f3f6-4ba4-8cc4-29b52b84d191
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1931.115368174838
      BAND-11: 235.10260571273605
      BAND-12: 80.40657764495508
      BAND-2: 1973.9811170999933
      BAND-3: 1848.2652272683063
      BAND-4: 1509.1090920075537
      BAND-5: 1393.1013434712806
      BAND-6: 1271.2091818448941
      BAND-7: 1163.720004423884
      BAND-8: 1030.6721074032369
      BAND-8A: 939.8917802612578
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-09-14 01:01:54.544171Z
    atime: 2022-05-26 13:07:54Z
    ctime: 2020-09-14 04:51:35Z
    mtime: 2020-09-14 04:51:31Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20200914T005711_N0209_R002_T53KRB_20200914T023444.zip
  system_information:
    hostname: gadi-cpu-clx-1035.gadi.nci.org.au
    runtime_id: db2b3a36-dcf4-11ec-b386-00000199fe80
    time_processed: 2022-05-26 13:07:54.866360Z
    uname: 'Linux gadi-cpu-clx-1035.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 17.0
    green: 989.0
    red: 17.0
    teal: 152.0
    yellow: 20.0
  error_message: no errors
  final_qa_count: 1117
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20200914T023444_A027312_T53KRB_N02.09
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 0.27
      xy: 0.41
      y: 0.31
    abs_iterative_mean:
      x: 0.14
      xy: 0.27
      y: 0.23
    cep90: 0.53
    iterative_mean:
      x: 0.05
      xy: 0.2
      y: 0.2
    iterative_stddev:
      x: 0.19
      xy: 0.27
      y: 0.2
    mean:
      x: 0.07
      xy: 0.17
      y: 0.15
    stddev:
      x: 0.77
      xy: 0.96
      y: 0.58
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 52.8554102719698
    cloud: 0.509206047975731
    cloud_shadow: 0.2672987940138884
    snow: 0.3051114940810119
    water: 46.06297339195957
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.19913944008034
    cloud: 0.8008605599196599
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
